> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goshippo.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.goshippo.com/feedback

```json
{
  "path": "/api-reference/parser/parse-address",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Parse Address

> Parses a single string into an Address model



## OpenAPI

````yaml /api-reference/addressesapi/address_v2.yaml get /v2/addresses/parse
openapi: 3.1.0
info:
  title: Shippo Address API
  summary: The Shippo Address API
  description: >-
    Address book, Address validation, and Address parsing <br>
    [https://goshippo.com](https://goshippo.com/)
  x-logo:
    url: https://docs.goshippo.com/images/shippo-logo.svg
  contact:
    name: Shippo Support
    url: https://support.goshippo.com/hc
    email: support@shippo.zendesk.com
  version: '0.1'
servers:
  - url: https://api.goshippo.com
security: []
tags:
  - name: Address Book
    description: Store, retrieve, modify, and delete your address book contacts
  - name: Validation
    description: Check your address is valid before creating shipping labels
  - name: Parser
    description: Convert address strings into a correctly formatted address object
paths:
  /v2/addresses/parse:
    get:
      tags:
        - Parser
      summary: Parse Address
      description: Parses a single string into an Address model
      operationId: parse_address_addresses_parse_get
      parameters:
        - name: address
          in: query
          required: true
          schema:
            type: string
            example: >-
              Shippo 731 Market St #200, San Francisco, CA 94103 US
              shippo@shippo.com +1-555-999-8888
            title: Address
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddressParseResponse'
        '422':
          content:
            application/json:
              example:
                detail:
                  - type: missing
                    loc:
                      - query
                      - address
                    msg: Field required
                    input: null
                    url: https://errors.pydantic.dev/2.3/v/missing
              schema:
                $ref: '#/components/schemas/UnprocessableEntityResponse'
          description: Unprocessable Entity
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
          description: Server Error
      security:
        - Shippo_Token: []
      x-codeSamples:
        - lang: cURL
          label: curl
          source: >-
            curl -i -X GET \

            'https://api.goshippo.com/v2/addresses/parse?address=Shippo%20731%20Market%20St%20%23200%2C%20San%20Francisco%2C%20CA%2094103%20US%20shippo%40shippo.com%20%2B1-555-999-8888'
            \

            -H 'Authorization: ShippoToken <API_TOKEN>'
components:
  schemas:
    AddressParseResponse:
      properties:
        email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Email
          example: user@shippo.com
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
          example: +1-4155550132
        address_line_1:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Line 1
          example: 731 Market Street
        address_line_2:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Line 2
          example: '#200'
        city_locality:
          anyOf:
            - type: string
            - type: 'null'
          title: City Locality
          example: San Francisco
        state_province:
          anyOf:
            - type: string
            - type: 'null'
          title: State Province
          example: CA
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
          example: '94103'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Country Code
          example: US
      type: object
      title: AddressParseResponse
      description: The parsed response of an address.
    UnprocessableEntityResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Detail
          description: Details of the issue with the request.
      type: object
      required:
        - detail
      title: UnprocessableEntityResponse
      description: A response for invalid requests with details of the issue.
    InternalServerErrorResponse:
      properties:
        message:
          type: string
          title: Message
          description: The error message for an internal server error
          default: Internal Server Error
        trace_id:
          type: string
          title: Trace Id
          description: >-
            The OpenTelemetry trace identifier that is unique to the request. A
            valid trace identifier is a 16-byte array with at least one non-zero
            byte
          example: b562cab2e9200ac3e11474cc877580e1
      type: object
      required:
        - trace_id
      title: InternalServerErrorResponse
    ErrorDetail:
      properties:
        type:
          type: string
          title: Type
          description: The type of error
          examples:
            - missing
        loc:
          items:
            type: string
          type: array
          title: Loc
          description: The location of the error
          examples:
            - - query
              - country_code
        msg:
          type: string
          title: Msg
          description: The error message
          examples:
            - Field required
        input:
          anyOf:
            - {}
            - type: 'null'
          title: Input
          description: The input values for this field
          examples:
            - 'null'
      type: object
      required:
        - type
        - loc
        - msg
      title: ErrorDetail
  securitySchemes:
    Shippo_Token:
      type: apiKey
      description: |

        Enter your shippo token with the ShippoToken prefix.
        <br></br>
        Example: `ShippoToken shippo_live_xxxx`
      in: header
      name: Authorization
      x-default: 'ShippoToken '

````